This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 48249

Summary: Warning message for non-admin users
Product: installer Reporter: Petr Blaha <blaha>
Component: JDK bundleAssignee: mslama <mslama>
Status: CLOSED FIXED    
Severity: blocker Keywords: RELNOTE
Priority: P2    
Version: 4.x   
Hardware: PC   
OS: Windows ME/2000   
Issue Type: DEFECT Exception Reporter:
Attachments: non-admin error message

Description Petr Blaha 2004-08-31 15:41:34 UTC
Build 20040826
For installing JDK on Win2k and Win XP you must be
logged as user with admin privileges. Installer
installed only NB without JDK. No error message
has been displayed.
I suggest to add checking user's privileges before
installing process. In case non-admin user the
error message should be displayed.
Comment 1 _ ttran 2004-09-06 00:20:44 UTC
what jdk installer says when you run it as a non-admin user?
Comment 2 Petr Blaha 2004-09-06 11:14:07 UTC
I tested JDK 1.4.2_05 FCS and 1.5.0 RC on my w2k machine. Both
installation need admin user. See attachment.
Comment 3 Petr Blaha 2004-09-06 11:14:53 UTC
Created attachment 17386 [details]
non-admin error message
Comment 4 mslama 2004-09-06 14:51:57 UTC
What to do? Shall I cancel jdkbundle installation (not allow to
continue with Next button) or shall I allow to install just NB and not
JDK? Where/when to popup warning message? (It is just Windows issue as
on Linux/Solaris only dir with write permission is required.)
Comment 5 mslama 2004-09-06 15:00:46 UTC
When: JDK installer checks if user has sufficient privileges just
during start.
Comment 6 Petr Blaha 2004-09-06 15:43:36 UTC
I think, you should use the simplest solutions. When installer starts,
admin privelgies are checked. If user is logged as non-admin, display
error message, like non-admin user attachement and exit installation. 
Comment 7 mslama 2004-09-07 14:35:27 UTC
Fixed. Custom welcome panel NbWelcomePanel is added and is used
instead of default WelcomePanel. It check if current user has admin
privileges on Windows. If not installer is stopped: User cannot
continue. Only Finish button is available and and information dialog
is shown. Also text in welcome panel is changed. Please reopen if some
text of logic should be changed. Fix applies on all Windows versions.
I tested only on Win XP.

Modified:
/cvs/installer/jdkbundle/linux.xml
new revision: 1.4; previous revision: 1.3
/cvs/installer/jdkbundle/solaris-sparc.xml
new revision: 1.4; previous revision: 1.3
/cvs/installer/jdkbundle/solaris-x86.xml
new revision: 1.4; previous revision: 1.3
/cvs/installer/jdkbundle/windows.xml
new revision: 1.5; previous revision: 1.4
/cvs/installer/jdkbundle/src/org/netbeans/installer/Bundle.properties 
new revision: 1.5; previous revision: 1.4

Added:
/cvs/installer/jdkbundle/src/org/netbeans/installer/NbWelcomePanel.java
initial revision: 1.1
Comment 8 Petr Blaha 2004-09-09 15:03:28 UTC
Build 200409071800